Share via


Application - Update

Updates settings for the specified application.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Batch/batchAccounts/{accountName}/applications/{applicationName}?api-version=2025-06-01

URI Parameters

Name In Required Type Description
accountName
path True

string

minLength: 3
maxLength: 24
pattern: ^[a-zA-Z0-9]+$

A name for the Batch account which must be unique within the region. Batch account names must be between 3 and 24 characters in length and must use only numbers and lowercase letters. This name is used as part of the DNS name that is used to access the Batch service in the region in which the account is created. For example: http://accountname.region.batch.azure.com/.

applicationName
path True

string

minLength: 1
maxLength: 64
pattern: ^[a-zA-Z0-9_-]+$

The name of the application. This must be unique within the account.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties.allowUpdates

boolean

A value indicating whether packages within the application may be overwritten using the same version string.

properties.defaultVersion

string

The package to use if a client requests the application but does not specify a version. This property can only be set to the name of an existing package.

properties.displayName

string

The display name for the application.

tags

object

The tags of the resource.

Responses

Name Type Description
200 OK

Application

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

ApplicationUpdate

Sample request

PATCH https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct/applications/app1?api-version=2025-06-01

{
  "properties": {
    "allowUpdates": true,
    "defaultVersion": "2",
    "displayName": "myAppName"
  }
}

Sample response

ETag: W/"0x8D64F915BDF7F00"
{
  "name": "app1",
  "type": "Microsoft.Batch/batchAccounts/applications",
  "id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct/applications/app1",
  "properties": {
    "allowUpdates": true,
    "defaultVersion": "2",
    "displayName": "myAppName"
  }
}

Definitions

Name Description
Application

Contains information about an application in a Batch account.

CloudError

An error response from the Batch service.

CloudErrorBody

An error response from the Batch service.

createdByType

The type of identity that created the resource.

systemData

Metadata pertaining to creation and last modification of the resource.

Application

Contains information about an application in a Batch account.

Name Type Description
etag

string

The ETag of the resource, used for concurrency statements.

id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.allowUpdates

boolean

A value indicating whether packages within the application may be overwritten using the same version string.

properties.defaultVersion

string

The package to use if a client requests the application but does not specify a version. This property can only be set to the name of an existing package.

properties.displayName

string

The display name for the application.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

The tags of the resource.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

CloudError

An error response from the Batch service.

Name Type Description
error

CloudErrorBody

The body of the error response.

CloudErrorBody

An error response from the Batch service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.